Permalink
Browse files

website update

  • Loading branch information...
1 parent 413f677 commit 1df34ecc455983f1e72f4adce6fe157dd78e47ed @gka gka committed Dec 19, 2012
Showing with 8 additions and 4 deletions.
  1. +8 −4 docs/kartograph.py/install-macosx.md
@@ -9,25 +9,29 @@ title: Installing Kartograph.py on Mac OS X
Before installing Kartograph, please install the GDAL Complete Framework as provided by William Kyngesburye on kyngchaos.com: [http://www.kyngchaos.com/software/frameworks](http://www.kyngchaos.com/software/frameworks).
+I recommend to install Kartograph in its own [virtualenv](http://www.virtualenv.org/en/latest/). Otherwise you need to ``sudo`` every **pip** call.
+
### Install required Python packages
-Then install the required Python packages. The recommended way is to do this in a [virtualenv](http://www.virtualenv.org/en/latest/). Otherwise you need to ``sudo`` every **pip** call.
+Kartograph.py needs a couple of Python packages. You can install them all at once using:
pip install -r https://raw.github.com/kartograph/kartograph.py/master/requirements.txt
### Alternative if GDAL install fails
-Some users reported that the install of the [gdal](http://pypi.python.org/pypi/GDAL/1.9.1) package fails. The way around this is to use the pre-compiled package included in GDAL Complete Framework you already installed. You need to include them in your ``PYTHONPATH``. This can be done either in the ``activate`` script of your virtualenv or in your shell startup file (``.bashrc``, ``.profile``, etc.).
+Some users reported that the install of the [GDAL](http://pypi.python.org/pypi/GDAL/1.9.1) package fails on OSX. The way around this issue is to use the pre-compiled package included in GDAL Complete Framework, which you already installed.
+
+You need to include their location in your ``PYTHONPATH`` environment variable. This can be done either in the ``activate`` script of your virtualenv or in your favorite shell startup file (``.bashrc``, ``.profile``, etc.).
export PYTHONPATH=$PYTHONPATH:/Library/Frameworks/GDAL.framework/Versions/1.9/Python/2.7/site-packages
-Then use ``requirements-nogdal.txt`` to install all required packages except ``gdal``.
+Then use [``requirements-nogdal.txt``](https://raw.github.com/kartograph/kartograph.py/master/requirements-nogdal.txt) to install all required packages except ``GDAL``.
pip install -r https://raw.github.com/kartograph/kartograph.py/master/requirements-nogdal.txt
### Install Kartograph.py
-Then you should be ready to install Kartograph.
+Then you should be ready to install Kartograph using:
pip install https://github.com/kartograph/kartograph.py/zipball/master

0 comments on commit 1df34ec

Please sign in to comment.